RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name > Class Template Referencefinal

Token for paramater (named/indexed). More...

`#include <path2regex.hpp>`

Inheritance diagram for restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >:

## Public Member Functions
| parameter_token_t (const parameter_token_t &)=delete
| parameter_token_t (parameter_token_t &&)=delete
| parameter_token_t (Name name, const std::string &prefix, std::string delimiter, bool optional, bool repeat, bool partial, std::string pattern)
virtual token_type_t | append_self_to (std::string &route, param_appender_sequence_t< Route_Param_Appender > &param_appender_sequence, names_buffer_appender_t &names_buffer_appender) const override
Public Member Functions inherited from restinio::path2regex::impl::token_t< Route_Param_Appender >
| token_t ()=default
| token_t (const token_t &)=delete
| token_t (token_t &&)=delete
virtual | ~token_t ()=default
virtual token_type_t | append_self_to (std::string &route, param_appender_sequence_t< Route_Param_Appender > &param_appender_sequence, names_buffer_appender_t &names_buffer_appender) const =0
virtual bool | is_end_delimited (const std::string &) const noexcept

## Private Attributes
const Name | m_name
const std::string | m_escaped_prefix
const std::string | m_delimiter
const bool | m_optional
const bool | m_repeat
const bool | m_partial
const std::string | m_pattern

## Detailed Description

template<typename Route_Param_Appender, typename Name>
class restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >

Token for paramater (named/indexed).

Definition at line 449 of file path2regex.hpp.

## Constructor & Destructor Documentation

## ◆ parameter_token_t() [1/3]

template<typename Route_Param_Appender , typename Name >

restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::parameter_token_t | ( | const parameter_token_t< Route_Param_Appender, Name > & |  | ) |
| delete

## ◆ parameter_token_t() [2/3]

template<typename Route_Param_Appender , typename Name >

restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::parameter_token_t | ( | parameter_token_t< Route_Param_Appender, Name > && |  | ) |
| delete

## ◆ parameter_token_t() [3/3]

template<typename Route_Param_Appender , typename Name >

restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::parameter_token_t | ( | Name | name,
|  | const std::string & | prefix,
|  | std::string | delimiter,
|  | bool | optional,
|  | bool | repeat,
|  | bool | partial,
|  | std::string | pattern
| ) |  |
| inline

Definition at line 455 of file path2regex.hpp.

## Member Function Documentation

## ◆ append_self_to()

template<typename Route_Param_Appender , typename Name >

virtual token_type_t restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::append_self_to | ( | std::string & | route,
|  | param_appender_sequence_t< Route_Param_Appender > & | param_appender_sequence,
|  | names_buffer_appender_t & | names_buffer_appender
| ) |  | const
| inline override virtual

Implements restinio::path2regex::impl::token_t< Route_Param_Appender >.

Definition at line 473 of file path2regex.hpp.

## Member Data Documentation

## ◆ m_delimiter

template<typename Route_Param_Appender , typename Name >

const std::string restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::m_delimiter
| private

Definition at line 517 of file path2regex.hpp.

## ◆ m_escaped_prefix

template<typename Route_Param_Appender , typename Name >

const std::string restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::m_escaped_prefix
| private

Definition at line 516 of file path2regex.hpp.

## ◆ m_name

template<typename Route_Param_Appender , typename Name >

const Name restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::m_name
| private

Definition at line 515 of file path2regex.hpp.

## ◆ m_optional

template<typename Route_Param_Appender , typename Name >

const bool restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::m_optional
| private

Definition at line 518 of file path2regex.hpp.

## ◆ m_partial

template<typename Route_Param_Appender , typename Name >

const bool restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::m_partial
| private

Definition at line 520 of file path2regex.hpp.

## ◆ m_pattern

template<typename Route_Param_Appender , typename Name >

const std::string restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::m_pattern
| private

Definition at line 521 of file path2regex.hpp.

## ◆ m_repeat

template<typename Route_Param_Appender , typename Name >

const bool restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >::m_repeat
| private

Definition at line 519 of file path2regex.hpp.

The documentation for this class was generated from the following file:

- restinio/path2regex/path2regex.hpp